<app-marketing-frame
  headline="Regain peace of mind for your passwords"
  tagline="Remember the backup code you saved or printed when you signed up? Here’s where you&nbsp;use&nbsp;it."
>
  <div class="account-column__inner account-column__inner--right">
    <div class="account-column__right-heading">
      <h1 class="heading-medium">Reset&nbsp;Password</h1>
      <div class="account-column__link">
        <app-text-link caret="right" id="btn-signin" [link]="['/account/login']"
          >Back to Login</app-text-link
        >
      </div>
    </div>

    <form [ngrxFormState]="form" (submit)="onSubmit()" class="auth-form__form">
      <app-non-field-messages
        *ngIf="errorMessage"
        [messages]="[errorMessage]"
      ></app-non-field-messages>

      <app-text-field
        label="Email"
        [isComplete]="hasFinished"
        type="email"
        [ngrxFormControl]="form.controls.email"
        [isFormSubmitted]="form.isSubmitted"
        [tabIndex]="2"
      ></app-text-field>

      <ul
        *ngIf="form.isInvalid && form.isSubmitted"
        class="form-field__error-list"
      >
        <li *ngIf="form.errors._email" class="form-field__error">
          Enter your account's email address.
        </li>
      </ul>

      <div class="form-field form-field--large">
        <div *ngIf="!hasFinished" class="register-step__feedback">
          <span class="register-step__feedback__static-element">
            Have your backup code ready to go, then enter the email address you
            used to sign up for your Passit account.
          </span>
        </div>

        <div *ngIf="!hasFinished">
          <app-server-select
            *ngIf="isExtension"
            [showUrlControl]="form.controls.showUrl"
            [urlControl]="form.controls.url"
            [formErrors]="form.errors"
          ></app-server-select>
        </div>

        <div *ngIf="!hasFinished" class="auth-form__actions">
          <button
            id="loginSubmit"
            class="button button--primary button--large"
            [disabled]="hasStarted"
            type="submit"
          >
            Next
          </button>
          <progress-indicator
            [inProgress]="hasStarted"
            inProgressText="Verifying"
          ></progress-indicator>
        </div>
      </div>

      <div class="form-field form-field--large">
        <app-form-label
          [for]="form.controls.email.id"
          [isLarge]="true"
          [isInactive]="!hasFinished"
        >
          Confirm Email Address
        </app-form-label>

        <div *ngIf="hasFinished" class="register-step__feedback">
          <div class="register-step__feedback__static-element">
            Great! Once you receive an email from Passit, click the link in it
            to continue.
          </div>
          <div class="register-step__feedback__static-element">
            Make sure you have your backup code ready for the next&nbsp;step.
          </div>
          <div
            class="register-step__feedback__static-element forgot-password__subheading"
          >
            Didn't receive the email?
          </div>
          <ul class="register-step__feedback__static-element">
            <li>
              Confirm that the email address above is correct; if&nbsp;not,
              <app-text-link (click)="onReset()"
                >enter it again</app-text-link
              >
            </li>
            <li>
              <app-text-link (click)="onSubmit()"
                >Resend confirmation email</app-text-link
              >
            </li>
          </ul>
        </div>
      </div>

      <div class="form-field form-field--large">
        <app-form-label [isLarge]="true" [isInactive]="true">
          Enter Backup Code
        </app-form-label>
      </div>

      <div class="form-field form-field--large">
        <app-form-label [isLarge]="true" [isInactive]="true">
          Enter New Password
        </app-form-label>
      </div>
    </form>
  </div>
</app-marketing-frame>
